> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# Get option quote

GET https://api.snaptrade.com/accounts/{accountId}/quotes/options

Returns a quote for a single option contract. The option contract is specified using in the 21 character OCC format. For example `AAPL  251114C00240000` represents a call option on AAPL expiring on 2025-11-14 with a strike price of $240. For more information on the OCC format, see [here](https://en.wikipedia.org/wiki/Option_symbol#OCC_format)
**Note:** These are derived values and are not suitable for trading purposes.


Reference: https://docs.snaptrade.com/reference/Trading/Trading_getUserAccountOptionQuotes

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.trading.getUserAccountOptionQuotes(
    {
      accountId:
        "917c8734-8470-4a3e-a18f-57c3f2ee6631",
      userId: "snaptrade-user-123",
      userSecret:
        "adf2aa34-8219-40f7-a6b3-60156985cc61",
      symbol: "AAPL  251219C00150000",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.trading.get_user_account_option_quotes(
    account_id="917c8734-8470-4a3e-a18f-57c3f2ee6631",
    user_id="snaptrade-user-123",
    user_secret="adf2aa34-8219-40f7-a6b3-60156985cc61",
    symbol="AAPL  251219C00150000"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /accounts/{accountId}/quotes/options:
    get:
      tags:
        - Trading
      summary: Get option quote
      description: >
        Returns a quote for a single option contract. The option contract is
        specified using in the 21 character OCC format. For example `AAPL 
        251114C00240000` represents a call option on AAPL expiring on 2025-11-14
        with a strike price of $240. For more information on the OCC format, see
        [here](https://en.wikipedia.org/wiki/Option_symbol#OCC_format)

        **Note:** These are derived values and are not suitable for trading
        purposes.
      operationId: Trading_getUserAccountOptionQuotes
      parameters:
        - in: query
          required: true
          name: userId
          schema:
            description: >-
              SnapTrade User ID. This is chosen by the API partner and can be
              any string that is a) unique to the user, and b) immutable for the
              user. It is recommended to NOT use email addresses for this
              property because they are usually not immutable.
            type: string
            example: snaptrade-user-123
        - in: query
          required: true
          name: userSecret
          schema:
            description: >-
              SnapTrade User Secret. This is a randomly generated string and
              should be stored securely. If compromised, please rotate it via
              the [rotate user secret
              endpoint](/reference/Authentication/Authentication_resetSnapTradeUserSecret).
            type: string
            example: adf2aa34-8219-40f7-a6b3-60156985cc61
        - in: path
          name: accountId
          required: true
          schema:
            description: >-
              Unique identifier for the connected brokerage account. This is the
              UUID used to reference the account in SnapTrade.
            type: string
            format: uuid
            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
        - in: query
          name: symbol
          required: true
          description: The OCC-formatted option symbol.
          schema:
            type: string
            example: AAPL  251219C00150000
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: Real-time quote for a single option contract.
                type: object
                properties:
                  symbol:
                    type: string
                    description: The OCC-formatted option symbol.
                    example: AAPL  251219C00150000
                  synthetic_price:
                    type: number
                    description: The derived synthetic price of the contract.
                    example: 150.25
                  implied_volatility:
                    type: number
                    description: The implied volatility of the option contract.
                    example: 0.32145678
                  timestamp:
                    type: string
                    format: date-time
                    nullable: true
                    description: The timestamp of the last update for the option quote.
                    example: '2026-01-15T14:30:00Z'
                  greeks:
                    type: object
                    description: The Greeks for the option contract.
                    properties:
                      delta:
                        type: number
                        description: >-
                          Delta represents the rate of change between the
                          option's price and a $1 change in the underlying
                          asset's price.
                        example: 0.5
                      gamma:
                        type: number
                        description: >-
                          Gamma represents the rate of change between an
                          option's delta and the underlying asset's price.
                        example: 0.1
                      theta:
                        type: number
                        description: >-
                          Theta represents the rate of change between the option
                          price and time, or time sensitivity - sometimes known
                          as an option's time decay.
                        example: -0.05
                      vega:
                        type: number
                        description: >-
                          Vega represents the rate of change between an option's
                          value and the underlying asset's implied volatility.
                        example: 0.2
        '404':
          description: Option contract not found
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  default_detail:
                    example: The requested resource does not exist.
                  default_code:
                    example: 1011
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                description: Example for a response that failed for unexpected reasons
                type: object
                properties:
                  detail:
                    example: Encountered an unexpected exception.
                  status_code:
                    example: 500
                  code:
                    example: 1000

```